/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AudioAttributes implements android.os.Parcelable {

private AudioAttributes() { throw new RuntimeException("Stub!"); }

public int getContentType() { throw new RuntimeException("Stub!"); }

public int getUsage() { throw new RuntimeException("Stub!"); }

public int getFlags() { throw new RuntimeException("Stub!"); }

public boolean areHapticChannelsMuted() { throw new RuntimeException("Stub!"); }

public boolean isContentSpatialized() { throw new RuntimeException("Stub!"); }

public int getSpatializationBehavior() { throw new RuntimeException("Stub!"); }

public int getAllowedCapturePolicy() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int getVolumeControlStream() { throw new RuntimeException("Stub!"); }

public static final int ALLOW_CAPTURE_BY_ALL = 1; // 0x1

public static final int ALLOW_CAPTURE_BY_NONE = 3; // 0x3

public static final int ALLOW_CAPTURE_BY_SYSTEM = 2; // 0x2

public static final int CONTENT_TYPE_MOVIE = 3; // 0x3

public static final int CONTENT_TYPE_MUSIC = 2; // 0x2

public static final int CONTENT_TYPE_SONIFICATION = 4; // 0x4

public static final int CONTENT_TYPE_SPEECH = 1; // 0x1

public static final int CONTENT_TYPE_UNKNOWN = 0; // 0x0

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.AudioAttributes> CREATOR;
static { CREATOR = null; }

public static final int FLAG_AUDIBILITY_ENFORCED = 1; // 0x1

public static final int FLAG_HW_AV_SYNC = 16; // 0x10

@Deprecated public static final int FLAG_LOW_LATENCY = 256; // 0x100

public static final int SPATIALIZATION_BEHAVIOR_AUTO = 0; // 0x0

public static final int SPATIALIZATION_BEHAVIOR_NEVER = 1; // 0x1

public static final int USAGE_ALARM = 4; // 0x4

public static final int USAGE_ASSISTANCE_ACCESSIBILITY = 11; // 0xb

public static final int USAGE_ASSISTANCE_NAVIGATION_GUIDANCE = 12; // 0xc

public static final int USAGE_ASSISTANCE_SONIFICATION = 13; // 0xd

public static final int USAGE_ASSISTANT = 16; // 0x10

public static final int USAGE_GAME = 14; // 0xe

public static final int USAGE_MEDIA = 1; // 0x1

public static final int USAGE_NOTIFICATION = 5; // 0x5

public static final int USAGE_NOTIFICATION_COMMUNICATION_DELAYED = 9; // 0x9

public static final int USAGE_NOTIFICATION_COMMUNICATION_INSTANT = 8; // 0x8

public static final int USAGE_NOTIFICATION_COMMUNICATION_REQUEST = 7; // 0x7

public static final int USAGE_NOTIFICATION_EVENT = 10; // 0xa

public static final int USAGE_NOTIFICATION_RINGTONE = 6; // 0x6

public static final int USAGE_UNKNOWN = 0; // 0x0

public static final int USAGE_VOICE_COMMUNICATION = 2; // 0x2

public static final int USAGE_VOICE_COMMUNICATION_SIGNALLING = 3; // 0x3
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(android.media.AudioAttributes aa) { throw new RuntimeException("Stub!"); }

public android.media.AudioAttributes build() { throw new RuntimeException("Stub!"); }

public android.media.AudioAttributes.Builder setUsage(int usage) { throw new RuntimeException("Stub!"); }

public android.media.AudioAttributes.Builder setContentType(int contentType) { throw new RuntimeException("Stub!"); }

public android.media.AudioAttributes.Builder setFlags(int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioAttributes.Builder setAllowedCapturePolicy(int capturePolicy) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioAttributes.Builder setIsContentSpatialized(boolean isSpatialized) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioAttributes.Builder setSpatializationBehavior(int sb) { throw new RuntimeException("Stub!"); }

public android.media.AudioAttributes.Builder setLegacyStreamType(int streamType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioAttributes.Builder setHapticChannelsMuted(boolean muted) { throw new RuntimeException("Stub!"); }
}

}

