/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface AttachedSurfaceControl {

@android.annotation.Nullable
public android.view.SurfaceControl.Transaction buildReparentTransaction(@android.annotation.NonNull android.view.SurfaceControl child);

public boolean applyTransactionOnDraw(@android.annotation.NonNull android.view.SurfaceControl.Transaction t);

public default int getBufferTransformHint() { throw new RuntimeException("Stub!"); }

public default void addOnBufferTransformHintChangedListener(@android.annotation.NonNull android.view.AttachedSurfaceControl.OnBufferTransformHintChangedListener listener) { throw new RuntimeException("Stub!"); }

public default void removeOnBufferTransformHintChangedListener(@android.annotation.NonNull android.view.AttachedSurfaceControl.OnBufferTransformHintChangedListener listener) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnBufferTransformHintChangedListener {

public void onBufferTransformHintChanged(int hint);
}

}

