/*
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.accessibility;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class AccessibilityNodeInfo implements android.os.Parcelable {

public AccessibilityNodeInfo() { throw new RuntimeException("Stub!"); }

public AccessibilityNodeInfo(@android.annotation.NonNull android.view.View source) { throw new RuntimeException("Stub!"); }

public AccessibilityNodeInfo(@android.annotation.NonNull android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public AccessibilityNodeInfo(@android.annotation.NonNull android.view.accessibility.AccessibilityNodeInfo info) { throw new RuntimeException("Stub!"); }

public void setSource(android.view.View source) { throw new RuntimeException("Stub!"); }

public void setSource(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo findFocus(int focus) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo focusSearch(int direction) { throw new RuntimeException("Stub!"); }

public int getWindowId() { throw new RuntimeException("Stub!"); }

public boolean refresh() { throw new RuntimeException("Stub!"); }

public boolean refreshWithExtraData(java.lang.String extraDataKey, android.os.Bundle args) { throw new RuntimeException("Stub!"); }

public int getChildCount() { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getChild(int index) { throw new RuntimeException("Stub!"); }

public void addChild(android.view.View child) { throw new RuntimeException("Stub!"); }

public boolean removeChild(android.view.View child) { throw new RuntimeException("Stub!"); }

public void addChild(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public boolean removeChild(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public java.util.List<android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction> getActionList() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getActions() { throw new RuntimeException("Stub!"); }

public void addAction(android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction action) { throw new RuntimeException("Stub!"); }

@Deprecated
public void addAction(int action) { throw new RuntimeException("Stub!"); }

@Deprecated
public void removeAction(int action) { throw new RuntimeException("Stub!"); }

public boolean removeAction(android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction action) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getTraversalBefore() { throw new RuntimeException("Stub!"); }

public void setTraversalBefore(android.view.View view) { throw new RuntimeException("Stub!"); }

public void setTraversalBefore(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getTraversalAfter() { throw new RuntimeException("Stub!"); }

public void setTraversalAfter(android.view.View view) { throw new RuntimeException("Stub!"); }

public void setTraversalAfter(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public java.util.List<java.lang.String> getAvailableExtraData() { throw new RuntimeException("Stub!"); }

public void setAvailableExtraData(java.util.List<java.lang.String> extraDataKeys) { throw new RuntimeException("Stub!"); }

public void setMaxTextLength(int max) { throw new RuntimeException("Stub!"); }

public int getMaxTextLength() { throw new RuntimeException("Stub!"); }

public void setMovementGranularities(int granularities) { throw new RuntimeException("Stub!"); }

public int getMovementGranularities() { throw new RuntimeException("Stub!"); }

public boolean performAction(int action) { throw new RuntimeException("Stub!"); }

public boolean performAction(int action, android.os.Bundle arguments) { throw new RuntimeException("Stub!"); }

public java.util.List<android.view.accessibility.AccessibilityNodeInfo> findAccessibilityNodeInfosByText(java.lang.String text) { throw new RuntimeException("Stub!"); }

public java.util.List<android.view.accessibility.AccessibilityNodeInfo> findAccessibilityNodeInfosByViewId(@android.annotation.NonNull java.lang.String viewId) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityWindowInfo getWindow() { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getParent() { throw new RuntimeException("Stub!"); }

public void setParent(android.view.View parent) { throw new RuntimeException("Stub!"); }

public void setParent(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

@Deprecated
public void getBoundsInParent(android.graphics.Rect outBounds) { throw new RuntimeException("Stub!"); }

@Deprecated
public void setBoundsInParent(android.graphics.Rect bounds) { throw new RuntimeException("Stub!"); }

public void getBoundsInScreen(android.graphics.Rect outBounds) { throw new RuntimeException("Stub!"); }

public void setBoundsInScreen(android.graphics.Rect bounds) { throw new RuntimeException("Stub!"); }

public boolean isCheckable() { throw new RuntimeException("Stub!"); }

public void setCheckable(boolean checkable) { throw new RuntimeException("Stub!"); }

public boolean isChecked() { throw new RuntimeException("Stub!"); }

public void setChecked(boolean checked) { throw new RuntimeException("Stub!"); }

public boolean isFocusable() { throw new RuntimeException("Stub!"); }

public void setFocusable(boolean focusable) { throw new RuntimeException("Stub!"); }

public boolean isFocused() { throw new RuntimeException("Stub!"); }

public void setFocused(boolean focused) { throw new RuntimeException("Stub!"); }

public boolean isVisibleToUser() { throw new RuntimeException("Stub!"); }

public void setVisibleToUser(boolean visibleToUser) { throw new RuntimeException("Stub!"); }

public boolean isAccessibilityFocused() { throw new RuntimeException("Stub!"); }

public void setAccessibilityFocused(boolean focused) { throw new RuntimeException("Stub!"); }

public boolean isSelected() { throw new RuntimeException("Stub!"); }

public void setSelected(boolean selected) { throw new RuntimeException("Stub!"); }

public boolean isClickable() { throw new RuntimeException("Stub!"); }

public void setClickable(boolean clickable) { throw new RuntimeException("Stub!"); }

public boolean isLongClickable() { throw new RuntimeException("Stub!"); }

public void setLongClickable(boolean longClickable) { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public void setEnabled(boolean enabled) { throw new RuntimeException("Stub!"); }

public boolean isPassword() { throw new RuntimeException("Stub!"); }

public void setPassword(boolean password) { throw new RuntimeException("Stub!"); }

public boolean isScrollable() { throw new RuntimeException("Stub!"); }

public void setScrollable(boolean scrollable) { throw new RuntimeException("Stub!"); }

public boolean isEditable() { throw new RuntimeException("Stub!"); }

public void setEditable(boolean editable) { throw new RuntimeException("Stub!"); }

public void setPaneTitle(@android.annotation.Nullable java.lang.CharSequence paneTitle) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getPaneTitle() { throw new RuntimeException("Stub!"); }

public int getDrawingOrder() { throw new RuntimeException("Stub!"); }

public void setDrawingOrder(int drawingOrderInParent) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo.CollectionInfo getCollectionInfo() { throw new RuntimeException("Stub!"); }

public void setCollectionInfo(android.view.accessibility.AccessibilityNodeInfo.CollectionInfo collectionInfo) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo.CollectionItemInfo getCollectionItemInfo() { throw new RuntimeException("Stub!"); }

public void setCollectionItemInfo(android.view.accessibility.AccessibilityNodeInfo.CollectionItemInfo collectionItemInfo) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo.RangeInfo getRangeInfo() { throw new RuntimeException("Stub!"); }

public void setRangeInfo(android.view.accessibility.AccessibilityNodeInfo.RangeInfo rangeInfo) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.accessibility.AccessibilityNodeInfo.ExtraRenderingInfo getExtraRenderingInfo() { throw new RuntimeException("Stub!"); }

public boolean isContentInvalid() { throw new RuntimeException("Stub!"); }

public void setContentInvalid(boolean contentInvalid) { throw new RuntimeException("Stub!"); }

public boolean isContextClickable() { throw new RuntimeException("Stub!"); }

public void setContextClickable(boolean contextClickable) { throw new RuntimeException("Stub!"); }

public int getLiveRegion() { throw new RuntimeException("Stub!"); }

public void setLiveRegion(int mode) { throw new RuntimeException("Stub!"); }

public boolean isMultiLine() { throw new RuntimeException("Stub!"); }

public void setMultiLine(boolean multiLine) { throw new RuntimeException("Stub!"); }

public boolean canOpenPopup() { throw new RuntimeException("Stub!"); }

public void setCanOpenPopup(boolean opensPopup) { throw new RuntimeException("Stub!"); }

public boolean isDismissable() { throw new RuntimeException("Stub!"); }

public void setDismissable(boolean dismissable) { throw new RuntimeException("Stub!"); }

public boolean isImportantForAccessibility() { throw new RuntimeException("Stub!"); }

public void setImportantForAccessibility(boolean important) { throw new RuntimeException("Stub!"); }

public boolean isScreenReaderFocusable() { throw new RuntimeException("Stub!"); }

public void setScreenReaderFocusable(boolean screenReaderFocusable) { throw new RuntimeException("Stub!"); }

public boolean isShowingHintText() { throw new RuntimeException("Stub!"); }

public void setShowingHintText(boolean showingHintText) { throw new RuntimeException("Stub!"); }

public boolean isHeading() { throw new RuntimeException("Stub!"); }

public void setHeading(boolean isHeading) { throw new RuntimeException("Stub!"); }

public boolean isTextEntryKey() { throw new RuntimeException("Stub!"); }

public void setTextEntryKey(boolean isTextEntryKey) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getPackageName() { throw new RuntimeException("Stub!"); }

public void setPackageName(java.lang.CharSequence packageName) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getClassName() { throw new RuntimeException("Stub!"); }

public void setClassName(java.lang.CharSequence className) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getText() { throw new RuntimeException("Stub!"); }

public void setText(java.lang.CharSequence text) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getHintText() { throw new RuntimeException("Stub!"); }

public void setHintText(java.lang.CharSequence hintText) { throw new RuntimeException("Stub!"); }

public void setError(java.lang.CharSequence error) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getError() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getStateDescription() { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getContentDescription() { throw new RuntimeException("Stub!"); }

public void setStateDescription(@android.annotation.Nullable java.lang.CharSequence stateDescription) { throw new RuntimeException("Stub!"); }

public void setContentDescription(java.lang.CharSequence contentDescription) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getTooltipText() { throw new RuntimeException("Stub!"); }

public void setTooltipText(@android.annotation.Nullable java.lang.CharSequence tooltipText) { throw new RuntimeException("Stub!"); }

public void setLabelFor(android.view.View labeled) { throw new RuntimeException("Stub!"); }

public void setLabelFor(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getLabelFor() { throw new RuntimeException("Stub!"); }

public void setLabeledBy(android.view.View label) { throw new RuntimeException("Stub!"); }

public void setLabeledBy(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public android.view.accessibility.AccessibilityNodeInfo getLabeledBy() { throw new RuntimeException("Stub!"); }

public void setViewIdResourceName(java.lang.String viewIdResName) { throw new RuntimeException("Stub!"); }

public java.lang.String getViewIdResourceName() { throw new RuntimeException("Stub!"); }

public int getTextSelectionStart() { throw new RuntimeException("Stub!"); }

public int getTextSelectionEnd() { throw new RuntimeException("Stub!"); }

public void setTextSelection(int start, int end) { throw new RuntimeException("Stub!"); }

public int getInputType() { throw new RuntimeException("Stub!"); }

public void setInputType(int inputType) { throw new RuntimeException("Stub!"); }

public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.accessibility.AccessibilityNodeInfo.TouchDelegateInfo getTouchDelegateInfo() { throw new RuntimeException("Stub!"); }

public void setTouchDelegateInfo(@android.annotation.NonNull android.view.accessibility.AccessibilityNodeInfo.TouchDelegateInfo delegatedInfo) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo obtain(android.view.View source) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo obtain(android.view.View root, int virtualDescendantId) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo obtain() { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo obtain(android.view.accessibility.AccessibilityNodeInfo info) { throw new RuntimeException("Stub!"); }

public void recycle() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object object) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final int ACTION_ACCESSIBILITY_FOCUS = 64; // 0x40

public static final java.lang.String ACTION_ARGUMENT_COLUMN_INT = "android.view.accessibility.action.ARGUMENT_COLUMN_INT";

public static final java.lang.String ACTION_ARGUMENT_EXTEND_SELECTION_BOOLEAN = "ACTION_ARGUMENT_EXTEND_SELECTION_BOOLEAN";

public static final java.lang.String ACTION_ARGUMENT_HTML_ELEMENT_STRING = "ACTION_ARGUMENT_HTML_ELEMENT_STRING";

public static final java.lang.String ACTION_ARGUMENT_MOVEMENT_GRANULARITY_INT = "ACTION_ARGUMENT_MOVEMENT_GRANULARITY_INT";

public static final java.lang.String ACTION_ARGUMENT_MOVE_WINDOW_X = "ACTION_ARGUMENT_MOVE_WINDOW_X";

public static final java.lang.String ACTION_ARGUMENT_MOVE_WINDOW_Y = "ACTION_ARGUMENT_MOVE_WINDOW_Y";

public static final java.lang.String ACTION_ARGUMENT_PRESS_AND_HOLD_DURATION_MILLIS_INT = "android.view.accessibility.action.ARGUMENT_PRESS_AND_HOLD_DURATION_MILLIS_INT";

public static final java.lang.String ACTION_ARGUMENT_PROGRESS_VALUE = "android.view.accessibility.action.ARGUMENT_PROGRESS_VALUE";

public static final java.lang.String ACTION_ARGUMENT_ROW_INT = "android.view.accessibility.action.ARGUMENT_ROW_INT";

public static final java.lang.String ACTION_ARGUMENT_SELECTION_END_INT = "ACTION_ARGUMENT_SELECTION_END_INT";

public static final java.lang.String ACTION_ARGUMENT_SELECTION_START_INT = "ACTION_ARGUMENT_SELECTION_START_INT";

public static final java.lang.String ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE = "ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE";

public static final int ACTION_CLEAR_ACCESSIBILITY_FOCUS = 128; // 0x80

public static final int ACTION_CLEAR_FOCUS = 2; // 0x2

public static final int ACTION_CLEAR_SELECTION = 8; // 0x8

public static final int ACTION_CLICK = 16; // 0x10

public static final int ACTION_COLLAPSE = 524288; // 0x80000

public static final int ACTION_COPY = 16384; // 0x4000

public static final int ACTION_CUT = 65536; // 0x10000

public static final int ACTION_DISMISS = 1048576; // 0x100000

public static final int ACTION_EXPAND = 262144; // 0x40000

public static final int ACTION_FOCUS = 1; // 0x1

public static final int ACTION_LONG_CLICK = 32; // 0x20

public static final int ACTION_NEXT_AT_MOVEMENT_GRANULARITY = 256; // 0x100

public static final int ACTION_NEXT_HTML_ELEMENT = 1024; // 0x400

public static final int ACTION_PASTE = 32768; // 0x8000

public static final int ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY = 512; // 0x200

public static final int ACTION_PREVIOUS_HTML_ELEMENT = 2048; // 0x800

public static final int ACTION_SCROLL_BACKWARD = 8192; // 0x2000

public static final int ACTION_SCROLL_FORWARD = 4096; // 0x1000

public static final int ACTION_SELECT = 4; // 0x4

public static final int ACTION_SET_SELECTION = 131072; // 0x20000

public static final int ACTION_SET_TEXT = 2097152; // 0x200000

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.accessibility.AccessibilityNodeInfo> CREATOR;
static { CREATOR = null; }

public static final java.lang.String EXTRA_DATA_RENDERING_INFO_KEY = "android.view.accessibility.extra.DATA_RENDERING_INFO_KEY";

public static final java.lang.String EXTRA_DATA_TEXT_CHARACTER_LOCATION_ARG_LENGTH = "android.view.accessibility.extra.DATA_TEXT_CHARACTER_LOCATION_ARG_LENGTH";

public static final int EXTRA_DATA_TEXT_CHARACTER_LOCATION_ARG_MAX_LENGTH = 20000; // 0x4e20

public static final java.lang.String EXTRA_DATA_TEXT_CHARACTER_LOCATION_ARG_START_INDEX = "android.view.accessibility.extra.DATA_TEXT_CHARACTER_LOCATION_ARG_START_INDEX";

public static final java.lang.String EXTRA_DATA_TEXT_CHARACTER_LOCATION_KEY = "android.view.accessibility.extra.DATA_TEXT_CHARACTER_LOCATION_KEY";

public static final int FOCUS_ACCESSIBILITY = 2; // 0x2

public static final int FOCUS_INPUT = 1; // 0x1

public static final int MOVEMENT_GRANULARITY_CHARACTER = 1; // 0x1

public static final int MOVEMENT_GRANULARITY_LINE = 4; // 0x4

public static final int MOVEMENT_GRANULARITY_PAGE = 16; // 0x10

public static final int MOVEMENT_GRANULARITY_PARAGRAPH = 8; // 0x8

public static final int MOVEMENT_GRANULARITY_WORD = 2; // 0x2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class AccessibilityAction implements android.os.Parcelable {

public AccessibilityAction(int actionId, @android.annotation.Nullable java.lang.CharSequence label) { throw new RuntimeException("Stub!"); }

public int getId() { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getLabel() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object other) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_ACCESSIBILITY_FOCUS;
static { ACTION_ACCESSIBILITY_FOCUS = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CLEAR_ACCESSIBILITY_FOCUS;
static { ACTION_CLEAR_ACCESSIBILITY_FOCUS = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CLEAR_FOCUS;
static { ACTION_CLEAR_FOCUS = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CLEAR_SELECTION;
static { ACTION_CLEAR_SELECTION = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CLICK;
static { ACTION_CLICK = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_COLLAPSE;
static { ACTION_COLLAPSE = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CONTEXT_CLICK;
static { ACTION_CONTEXT_CLICK = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_COPY;
static { ACTION_COPY = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_CUT;
static { ACTION_CUT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_DISMISS;
static { ACTION_DISMISS = null; }

@android.annotation.NonNull public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_DRAG_CANCEL;
static { ACTION_DRAG_CANCEL = null; }

@android.annotation.NonNull public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_DRAG_DROP;
static { ACTION_DRAG_DROP = null; }

@android.annotation.NonNull public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_DRAG_START;
static { ACTION_DRAG_START = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_EXPAND;
static { ACTION_EXPAND = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_FOCUS;
static { ACTION_FOCUS = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_HIDE_TOOLTIP;
static { ACTION_HIDE_TOOLTIP = null; }

@android.annotation.NonNull public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_IME_ENTER;
static { ACTION_IME_ENTER = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_LONG_CLICK;
static { ACTION_LONG_CLICK = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_MOVE_WINDOW;
static { ACTION_MOVE_WINDOW = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_NEXT_AT_MOVEMENT_GRANULARITY;
static { ACTION_NEXT_AT_MOVEMENT_GRANULARITY = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_NEXT_HTML_ELEMENT;
static { ACTION_NEXT_HTML_ELEMENT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PAGE_DOWN;
static { ACTION_PAGE_DOWN = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PAGE_LEFT;
static { ACTION_PAGE_LEFT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PAGE_RIGHT;
static { ACTION_PAGE_RIGHT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PAGE_UP;
static { ACTION_PAGE_UP = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PASTE;
static { ACTION_PASTE = null; }

@android.annotation.NonNull public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PRESS_AND_HOLD;
static { ACTION_PRESS_AND_HOLD = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY;
static { ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_PREVIOUS_HTML_ELEMENT;
static { ACTION_PREVIOUS_HTML_ELEMENT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_BACKWARD;
static { ACTION_SCROLL_BACKWARD = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_DOWN;
static { ACTION_SCROLL_DOWN = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_FORWARD;
static { ACTION_SCROLL_FORWARD = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_LEFT;
static { ACTION_SCROLL_LEFT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_RIGHT;
static { ACTION_SCROLL_RIGHT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_TO_POSITION;
static { ACTION_SCROLL_TO_POSITION = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SCROLL_UP;
static { ACTION_SCROLL_UP = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SELECT;
static { ACTION_SELECT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SET_PROGRESS;
static { ACTION_SET_PROGRESS = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SET_SELECTION;
static { ACTION_SET_SELECTION = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SET_TEXT;
static { ACTION_SET_TEXT = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SHOW_ON_SCREEN;
static { ACTION_SHOW_ON_SCREEN = null; }

public static final android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction ACTION_SHOW_TOOLTIP;
static { ACTION_SHOW_TOOLTIP = null; }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.accessibility.AccessibilityNodeInfo.AccessibilityAction> CREATOR;
static { CREATOR = null; }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class CollectionInfo {

public CollectionInfo(int rowCount, int columnCount, boolean hierarchical) { throw new RuntimeException("Stub!"); }

public CollectionInfo(int rowCount, int columnCount, boolean hierarchical, int selectionMode) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo.CollectionInfo obtain(int rowCount, int columnCount, boolean hierarchical) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo.CollectionInfo obtain(int rowCount, int columnCount, boolean hierarchical, int selectionMode) { throw new RuntimeException("Stub!"); }

public int getRowCount() { throw new RuntimeException("Stub!"); }

public int getColumnCount() { throw new RuntimeException("Stub!"); }

public boolean isHierarchical() { throw new RuntimeException("Stub!"); }

public int getSelectionMode() { throw new RuntimeException("Stub!"); }

public static final int SELECTION_MODE_MULTIPLE = 2; // 0x2

public static final int SELECTION_MODE_NONE = 0; // 0x0

public static final int SELECTION_MODE_SINGLE = 1; // 0x1
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class CollectionItemInfo {

public CollectionItemInfo(int rowIndex, int rowSpan, int columnIndex, int columnSpan, boolean heading) { throw new RuntimeException("Stub!"); }

public CollectionItemInfo(int rowIndex, int rowSpan, int columnIndex, int columnSpan, boolean heading, boolean selected) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo.CollectionItemInfo obtain(int rowIndex, int rowSpan, int columnIndex, int columnSpan, boolean heading) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo.CollectionItemInfo obtain(int rowIndex, int rowSpan, int columnIndex, int columnSpan, boolean heading, boolean selected) { throw new RuntimeException("Stub!"); }

public int getColumnIndex() { throw new RuntimeException("Stub!"); }

public int getRowIndex() { throw new RuntimeException("Stub!"); }

public int getColumnSpan() { throw new RuntimeException("Stub!"); }

public int getRowSpan() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean isHeading() { throw new RuntimeException("Stub!"); }

public boolean isSelected() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class ExtraRenderingInfo {

private ExtraRenderingInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.util.Size getLayoutSize() { throw new RuntimeException("Stub!"); }

public float getTextSizeInPx() { throw new RuntimeException("Stub!"); }

public int getTextSizeUnit() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class RangeInfo {

public RangeInfo(int type, float min, float max, float current) { throw new RuntimeException("Stub!"); }

public static android.view.accessibility.AccessibilityNodeInfo.RangeInfo obtain(int type, float min, float max, float current) { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

public float getMin() { throw new RuntimeException("Stub!"); }

public float getMax() { throw new RuntimeException("Stub!"); }

public float getCurrent() { throw new RuntimeException("Stub!"); }

public static final int RANGE_TYPE_FLOAT = 1; // 0x1

public static final int RANGE_TYPE_INT = 0; // 0x0

public static final int RANGE_TYPE_PERCENT = 2; // 0x2
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class TouchDelegateInfo implements android.os.Parcelable {

public TouchDelegateInfo(@android.annotation.NonNull java.util.Map<android.graphics.Region,android.view.View> targetMap) { throw new RuntimeException("Stub!"); }

public int getRegionCount() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Region getRegionAt(int index) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.accessibility.AccessibilityNodeInfo getTargetForRegion(@android.annotation.NonNull android.graphics.Region region) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.accessibility.AccessibilityNodeInfo.TouchDelegateInfo> CREATOR;
static { CREATOR = null; }
}

}

